package com.yushu.framework.common.util.validation;

import cn.hutool.core.util.PhoneUtil;
import org.springframework.util.StringUtils;

import java.util.regex.Pattern;

/**
 * 校验工具类
 *
 * @author 芋道源码
 */
public class ValidationUtils {

    private static Pattern PATTERN_URL = Pattern.compile("^(https?|ftp|file)://[-a-zA-Z0-9+&@#/%?=~_|!:,.;]*[-a-zA-Z0-9+&@#/%=~_|]");

    public static boolean isMobile(String mobile) {
        return PhoneUtil.isMobile(mobile);
    }

    public static boolean isURL(String url) {
        //URLUtil.isJarFileURL()
        return StringUtils.hasText(url) && PATTERN_URL.matcher(url).matches();
    }

}
